Subject: [PATCH 0/3] arm: dts: DRA7: Add IVA and DSPEVE thermal domain data

From: [email-masked] (Keerthy)
Date: Tue, 9 Feb 2016 09:07:27 +0530

On Tuesday 09 February 2016 01:27 AM, Tony Lindgren wrote:
> * Keerthy <[email-masked]> [160208 01:19]:
>> OMAP5 has 3 thermal zones cpu, core and multimedia.
>> On the other hand DRA7 has 5 thermal zones cpu, gpu, core, dspeve
>> and iva. Currently cpu, core and multimedia are being added via dt
>> and the other 2 are getting added via kernel. Add the missing thermal
>> domains in dt so as give the correct trip numbers, type and temperatures.
>>
>> Tested on DRA7-EVM.
>
> Are these critical fixes to have for v4.5-rc cycle or can they
> wait for v4.6 merge window?

Driver configures some default thresholds that are a bit higher but 
there are some thresholds already for dspeve and iva too. So guess these 
can wait if its already too late.

Regards,
Keerthy

>
> Regards,
>
> Tony
>
>> Keerthy (3):
>>    arm: dts: DRA7: Add DSPEVE thermal data
>>    arm: dts: DRA7: Add IVA thermal data
>>    arm: dts: DRA7: Add missing IVA and DSPEVE thermal domain data
>>
>>   arch/arm/boot/dts/dra7-dspeve-thermal.dtsi | 27 +++++++++++++++++++++++++++
>>   arch/arm/boot/dts/dra7-iva-thermal.dtsi    | 27 +++++++++++++++++++++++++++
>>   arch/arm/boot/dts/dra7.dtsi                |  2 ++
>>   3 files changed, 56 insertions(+)
>>   create mode 100644 arch/arm/boot/dts/dra7-dspeve-thermal.dtsi
>>   create mode 100644 arch/arm/boot/dts/dra7-iva-thermal.dtsi
>>
>> --
>> 1.9.1
>>